# Uses of Class
javafx.scene.control.SingleSelectionModel

Packages that use SingleSelectionModel
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of SingleSelectionModel in javafx.scene.control

Methods in javafx.scene.control that return SingleSelectionModel
Modifier and Type
Method
Description
`final SingleSelectionModel<T>`
ChoiceBox.`getSelectionModel()`
Gets the value of the `selectionModel` property.
`final SingleSelectionModel<T>`
ComboBox.`getSelectionModel()`
Gets the value of the `selectionModel` property.
`final SingleSelectionModel<Tab>`
TabPane.`getSelectionModel()`
Gets the model used for tab selection.
Methods in javafx.scene.control that return types with arguments of type SingleSelectionModel
Modifier and Type
Method
Description
`final ObjectProperty<SingleSelectionModel<T>>`
ChoiceBox.`selectionModelProperty()`
The selection model for the ChoiceBox.
`final ObjectProperty<SingleSelectionModel<T>>`
ComboBox.`selectionModelProperty()`
The selection model for the ComboBox.
`final ObjectProperty<SingleSelectionModel<Tab>>`
TabPane.`selectionModelProperty()`
The selection model used for selecting tabs.
Methods in javafx.scene.control with parameters of type SingleSelectionModel
Modifier and Type
Method
Description
`final void`
ChoiceBox.`setSelectionModel(SingleSelectionModel<T> value)`
Sets the value of the `selectionModel` property.
`final void`
ComboBox.`setSelectionModel(SingleSelectionModel<T> value)`
Sets the value of the `selectionModel` property.
`final void`
TabPane.`setSelectionModel(SingleSelectionModel<Tab> value)`
Sets the model used for tab selection.